DROP TABLE IF EXISTS `bug_search`;
CREATE TABLE `bug_search` (
	`id` VARCHAR(32) NOT NULL COLLATE 'utf8mb4_bin',
	`expands` TEXT(65535) NULL DEFAULT NULL COMMENT '缺陷搜索查询条件集合' COLLATE 'utf8mb4_bin',
	`pro_id` VARCHAR(50) NULL DEFAULT NULL COMMENT '项目' COLLATE 'utf8mb4_bin',
	`tenant_id` VARCHAR(50) NULL DEFAULT NULL COMMENT '租户id' COLLATE 'utf8mb4_bin',
	`scheme_name` VARCHAR(50) NULL DEFAULT NULL COMMENT '搜索方案名称' COLLATE 'utf8mb4_bin',
	`created_by` VARCHAR(32) NULL DEFAULT NULL COMMENT '创建人' COLLATE 'utf8mb4_bin',
	`created_time` DATETIME NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
	`updated_by` VARCHAR(32) NULL DEFAULT NULL COMMENT '最近修改人' COLLATE 'utf8mb4_bin',
	`updated_time` DATETIME NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '最近修改时间',
	PRIMARY KEY (`id`) USING BTREE,
	INDEX `TENANT_PRO_KEY` (`tenant_id`, `pro_id`) USING BTREE
)
COMMENT='缺陷条件搜索表'
COLLATE='utf8mb4_bin'
ENGINE=InnoDB
;
--CREATE TABLE `bug_search` (
--	`id` VARCHAR(32) NOT NULL COLLATE 'utf8_general_ci',
--	`bug_title` VARCHAR(255) NULL DEFAULT NULL COMMENT '缺陷标题' COLLATE 'utf8_general_ci',
--	`bug_grade` VARCHAR(500) NULL DEFAULT NULL COMMENT '严重程度:   建议性错误-E类、警告性错误-D类、一般性错误-C类、严重性错误-B类、致命性错误-A类' COLLATE 'utf8_general_ci',
--	`bug_type` VARCHAR(500) NULL DEFAULT NULL COMMENT '缺陷类型' COLLATE 'utf8_general_ci',
--	`emergency` VARCHAR(500) NULL DEFAULT NULL COMMENT '紧急程度：1.高、2.中、3.低' COLLATE 'utf8_general_ci',
--	`is_reappear` VARCHAR(1) NULL DEFAULT NULL COMMENT '可重现：Y是,N否' COLLATE 'utf8_general_ci',
--	`bug_status` VARCHAR(500) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
--	`receiver` VARCHAR(100) NULL DEFAULT NULL COMMENT '分配人' COLLATE 'utf8_general_ci',
--	`created_user` VARCHAR(100) NULL DEFAULT NULL COMMENT '缺陷创建人' COLLATE 'utf8_general_ci',
--	`created_date` VARCHAR(100) NULL DEFAULT NULL COMMENT '缺陷创建时间' COLLATE 'utf8_general_ci',
--	`repair_time` VARCHAR(100) NULL DEFAULT NULL COMMENT '缺陷修复时间' COLLATE 'utf8_general_ci',
--	`repair_user` VARCHAR(100) NULL DEFAULT NULL COMMENT '缺陷修复人' COLLATE 'utf8_general_ci',
--	`close_time` VARCHAR(100) NULL DEFAULT NULL COMMENT '缺陷关闭时间' COLLATE 'utf8_general_ci',
--	`error_message` VARCHAR(100) NULL DEFAULT NULL COMMENT '错误信息描述' COLLATE 'utf8_general_ci',
--	`message` VARCHAR(100) NULL DEFAULT NULL COMMENT '注释' COLLATE 'utf8_general_ci',
--	`expands` VARCHAR(2000) NULL DEFAULT NULL COMMENT '自定义字段' COLLATE 'utf8_general_ci',
--	`round_id` VARCHAR(32) NULL DEFAULT NULL COMMENT '轮次' COLLATE 'utf8_general_ci',
--	`module_id` VARCHAR(32) NULL DEFAULT NULL COMMENT '模块' COLLATE 'utf8_general_ci',
--	`system_id` VARCHAR(32) NULL DEFAULT NULL COMMENT '系统' COLLATE 'utf8_general_ci',
--	`pro_id` VARCHAR(1000) NULL DEFAULT NULL COMMENT '项目' COLLATE 'utf8_general_ci',
--	`other` VARCHAR(2000) NULL DEFAULT NULL COMMENT '其他搜索条件' COLLATE 'utf8_general_ci',
--	`created_by` VARCHAR(50) NULL DEFAULT NULL COMMENT '创建人' COLLATE 'utf8_general_ci',
--	`created_time` DATETIME NULL DEFAULT NULL COMMENT '创建时间',
--	`updated_by` VARCHAR(50) NULL DEFAULT NULL COMMENT '修改人' COLLATE 'utf8_general_ci',
--	`updated_time` DATETIME NULL DEFAULT NULL COMMENT '修改时间',
--	`tenant_id` VARCHAR(50) NULL DEFAULT NULL COMMENT '租户id' COLLATE 'utf8_general_ci',
--	`scheme_name` VARCHAR(50) NULL DEFAULT NULL COMMENT '搜索方案名称' COLLATE 'utf8_general_ci',
--	`bug_from` VARCHAR(2) NULL DEFAULT NULL COMMENT '缺陷来源：1.执行提交,2.自动化提交,3.手动提交' COLLATE 'utf8_general_ci',
--	`record_type` INT(11) NULL DEFAULT NULL COMMENT '0:系统内；1:缺陷库',
--	`USER_DEFINED_IDX1` VARCHAR(30) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
--	`USER_DEFINED_IDX2` VARCHAR(30) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
--	`USER_DEFINED_IDX3` VARCHAR(30) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
--	`USER_DEFINED_IDX4` VARCHAR(30) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
--	`USER_DEFINED_IDX5` VARCHAR(30) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
--	`USER_DEFINED_IDX6` VARCHAR(30) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
--	`USER_DEFINED_IDX7` VARCHAR(30) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
--	`USER_DEFINED_IDX8` VARCHAR(30) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
--	`USER_DEFINED_IDX9` VARCHAR(30) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
--	`USER_DEFINED_IDX10` VARCHAR(30) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
--	`USER_DEFINED_IDX11` VARCHAR(30) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
--	`USER_DEFINED_IDX12` VARCHAR(30) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
--	`USER_DEFINED_IDX13` VARCHAR(30) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
--	`USER_DEFINED_IDX14` VARCHAR(30) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
--	`USER_DEFINED_IDX15` VARCHAR(30) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
--	`USER_DEFINED_IDX16` VARCHAR(30) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
--	`USER_DEFINED_IDX17` VARCHAR(30) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
--	`USER_DEFINED_IDX18` VARCHAR(30) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
--	`USER_DEFINED_IDX19` VARCHAR(30) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
--	`USER_DEFINED_IDX20` VARCHAR(30) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
--	PRIMARY KEY (`id`) USING BTREE,
--	INDEX `pro_id` (`pro_id`) USING BTREE,
--	INDEX `tenant_id` (`tenant_id`) USING BTREE
--)
--COMMENT='缺陷条件搜索表'
--COLLATE='utf8_general_ci'
--ENGINE=InnoDB
--;
